Get Groups By Display Name V2 Using GET

Get Groups By Display Name V2 Using GET

Get Groups by Display Name

Request
URI
GET
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/authzn/api/v2/groups/name/{displayName}
COPY
Path Parameters
string
displayName
Required

displayName


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Array of GroupDTO of type(s) application/json
[
    {
        "displayName": "string",
        "domain": "string",
        "groupMetadata": {
            "additionalMeta": [
                "string"
            ],
            "distinguishedName": "string",
            "externalId": "string"
        },
        "groupType": "string",
        "isDisabled": false,
        "providerIdentifier": "string",
        "roleMappings": [
            {
                "roleDescription": "string",
                "roleName": "string",
                "vmid": "string"
            }
        ],
        "vmid": "string"
    }
]

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status


500

Internal Server Error

Returns GenericErrorResponseDTO of type(s) application/json
{
    "errorCode": "string",
    "errorLabel": "string",
    "message": "string",
    "recommendations": [
        "string"
    ],
    "status": "string"
}
string
errorCode
Optional

errorCode

string
errorLabel
Optional

errorLabel

string
message
Optional

message

array of string
recommendations
Optional

recommendations

string
status
Optional

status